;
;  The Morgul Player configuration file for Morgul versions
;  1.10 and newer.
;
;  There are many  things defined in here. By default, all the values
;  are the normal default ones so if you don't want to change anything
;  here, you will not need this file. However, if you wish to configure
;  Morgul for your tastes, edit this file and keep it in a location
;  where Morgul can find it:
;  1)	In your path
;  2)	In the current directory
;  3)	In the directory the Morgul executable lives in
;  To set switch values (on/off) use the statements On or Off.
;

;  Here are the default sound card parameters
;
;  First, the soundcard we should use, a number from 0 to 12. 0 means
;  autodetect.
;  1=SoundBlaster           2=SoundBlaster PRO      3=ProAudioSpectrum+
;  4=ProAudioSpectrum 16    5=SoundBlaster 16	    6=DAC
;  7=Aria-based cards	    8=Windows Sound System  9=Gravis Ultrasound
;  10=PC Speaker            11=Stereo DAC          12=Stereo DAC
Soundcard=0

;  The IRQ of your sound card - 0 means auto detect
SoundcardIRQ=0

;  The DMA channel yoour sound card uses - 0 means auto detect
SoundcardDMA=0

;  The base address of your sound card - 0 means auto detect
Soundcardaddress=0


;  The sampling (mixing) rate to use - higher values mean better
;  quality and take more processor power. Some cards can't go higher
;  than 22050. Does not affect GUS.

SamplingRate=22050

;  The DMA buffer size - in multitasking environments, it might be
;  a good idea to set a buffer larger than 2048 bytes.
;  The buffer is by default calculated by Morgul automatically and
;  it takes into account the mixing rate, stereo and 16-bitness.
;DMABuffer=2048

;  use EMS memory if available for samples
UseEMS=on
;  Use DMA with GUS to transfer samples; faster, but may cause problems. If
;  causes problems, set to Off
UseGUSDMA=on


;  Use the keyboard lights as "volume bars" ; may cause keyboard
;  problems so default is disabled.
KeyboardLights=Off
;  Use the 80x56 text mode instead of the default 80x28 mode.
80x56VideoMode=Off
;  Play selected modules in random order
RandomPlayMode=Off
;  The color for the flashing bar: 0,1,2
BoxColor=0
;  The startup screen; 1 is top screen, 2 is module screen, 3 is help
;  screen (why would you want to have the help screen as default ?),
;  4 is in-between the file and module screen (try this..)
StartupScreen=2
;  Start in graphics mode?
StartInGraphics=Off
;  Default panning; by default, on stereo systems, channels are panned
;  to the absolute left and absolute right (-64,64). May not be what
;  you want if you use headphones. Setting this to something less than
;  64 causes the channels to be panned more to the middle. 0 is the same
;  as mono and 100 is Surround panning.
DefaultPan=64
;  The amplify rate; use this to get more volume out of your sound
;  board. Does not affect GUS. If you set it too high, you will get
;  very crackly sounds. 32 is default. Lower values are in fact
;  "quietify" instead of amplify.
Amplify=32

;  File system section

;  Easy mode: In this mode, if you select a file it will start playing
;  instantaneously. On by default. If you disable it, every module you tag
;  will be added to the playing list but won't get played right away;
;  you have to press N to go to the next module.
Easymode=On
;  Quickmode: If you set this on, Morgul will not scan module files for
;  songnames and other info.
Quickmode=Off
;  If do not want to see the unarchiver messages (they come visible at the
;  top screen) set the following to On. It should be kept on if you have
;  error situations because otherwise you couldn't know what went wrong.
SuppressUnpack=Off

;  For UltraCompressor 2 (UC2) users only:
;  Set "UltraStealth=On" if you have UltraStealth running and the UUC.EXE
;  in your path. Because UC.EXE needs MUCH memory, you will most probably
;  not be able to play the bigger UC2'ed modules, so you have to use
;  UltraStealth. To use UltraStealth, put the line C:\UC\US.EXE (or
;  whatever is the correct path to US.EXE) to the end of your autoexec.bat.
UltraStealth=Off
;  Scanning UC2 files takes a long time, so you can disable it with
;  ScanUc2Files=Off.
ScanUc2Files=On


; Settings for digital effects
;
; Each entry is of form:
;
;   EffectN = name type parm0 [parm1] [parm2] ...
;
; <name> is a one word name for the effect and cannot contain white space
; You can use '_' instead of space character to break it into multiple words
;
; <type> can be:
;
; R     Reverb/echo effect.
;           parm0 is feedback value (0-100).
;           parm1...parmN define a maximum of 8 reverb delay/gain pairs
;       for example:
;           Effect1 = HallReverb R 40  30 50  40 30  50 20  60 30
;       defines Reverb with 40% feedback and echo positions at
;       30ms (50% gain), 40ms (30% gain), 50ms (20% gain), 60ms (30% gain)
;
;       Negative gain values can be used to create 180 degree phase shift
;
; F     Filter effect. parm0 is the type of the filter:
;       1 = Simple lowpass filter (effective)
;       2 = Simple lowpass filter (soft)
;
;   Default effect 0 means no effect.
DefaultEffect=0;

Effect1=Lowpass_filter F 1
Effect2=Soft_lowpass_filter F 2
Effect3=Hall_reverb R 90  70 22  95 -30  110 25  130 -15  200 25
Effect4=Room_reverb R 30  10 20  25 30  35 -20  45 40
Effect5=Huge_reverb R 35  10 -30  18 40  25 -40  45 30  100 20  150 -30
Effect6=Metallic_reverb R 60  30 30  40 -25  50 25  80 25
Effect7=Distant_echo R 75  160 30  300 50
Effect8=Short_echo R 40  90 100
Effect9=Long_echo R 80  300 80
Effect10=Dead_bass R 100 0 -100
Effect11=Very_Short_Echo R 70 95 98
Effect12=Empty
Effect13=Empty
Effect14=Empty
Effect15=Empty
Effect16=Empty
Effect17=Empty
Effect18=Empty
Effect19=Empty
Effect20=Empty
